﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.Threading;

namespace WindowsFormsApplication154
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void ultraGrid1_MouseMove(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left && ultraGrid1.Selected.Rows.Count == 1)
            {
                ultraGrid1.DoDragDrop(ultraGrid1.Selected.Rows[0], DragDropEffects.Copy);
            }
        }

        private void ultraExplorerBar1_DragOver(object sender, DragEventArgs e)
        {            
            e.Effect = DragDropEffects.Copy;
        }

        private void ultraExplorerBar1_DragDrop(object sender, DragEventArgs e)
        {
            if (e.Data.GetDataPresent(typeof(UltraGridRow)))
            {
                UltraGridRow data = e.Data.GetData(typeof(UltraGridRow)) as UltraGridRow;
                ultraExplorerBar1.Groups[0].Items.Add(data.Cells[0].Value.ToString(), data.Cells[0].Value.ToString());
                ultraGrid1.Rows[ultraGrid1.Selected.Rows[0].Index].Delete();                
            }
        }

        private void ultraGrid1_BeforeRowsDeleted(object sender, BeforeRowsDeletedEventArgs e)
        {
            e.DisplayPromptMsg = false;
        }
    }
}
